> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a group of line items

> Delete an existing line item. Note: This action cannot be undone. Deleted line items cannot be updated and there is no way to restore them.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json POST /crm-objects/v1/objects/line_items/batch-update
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items/batch-update:
    post:
      summary: Create a group of line items
      description: >-
        Delete an existing line item. Note: This action cannot be undone.
        Deleted line items cannot be updated and there is no way to restore
        them.
      operationId: postcrmobjectsv1objectslineitemsbatchupdate
      responses:
        '200':
          description: Successful response - Delete an existing line item
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create a group of line items - Example 1
                  value:
                    - objectId: 9890010
                      properties:
                        - name: price
                          value: '55.00'
                        - name: description
                          value: >-
                            This is an updated description for this item, it's
                            getting a price change.
                    - objectId: 9954744
                      properties:
                        - name: name
                          value: Updated name, new quantity
                        - name: quantity
                          value: '20'
                    - versions:
                        - name: amount
                          value: '275.00'
                          timestamp: 0
                          sourceId: LineItemAmountCalculator
                          source: CALCULATED
                          sourceVid: []
                        - name: amount
                          value: '137.50'
                          timestamp: 0
                          sourceId: LineItemAmountCalculator
                          source: CALCULATED
                          sourceVid: []
                      value: '275.00'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: LineItemAmountCalculator
                    - versions:
                        - name: quantity
                          value: '5'
                          timestamp: 1525371765869
                          source: API
                          sourceVid: []
                      value: '5'
                      timestamp: 1525371765869
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '55.00'
                          timestamp: 1525372398002
                          source: API
                          sourceVid: []
                        - name: price
                          value: '27.50'
                          timestamp: 1525359863627
                          source: API
                          sourceVid: []
                      value: '55.00'
                      timestamp: 1525372398002
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: >-
                            This is an updated description for this item, it's
                            getting a price change.
                          timestamp: 1525372398002
                          source: API
                          sourceVid: []
                        - name: description
                          value: >-
                            An updated description for this line item. Updating
                            the quantity.
                          timestamp: 1525371765869
                          source: API
                          sourceVid: []
                      value: >-
                        This is an updated description for this item, it's
                        getting a price change.
                      timestamp: 1525372398002
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1688960'
                          timestamp: 1525371444427
                          source: API
                          sourceVid: []
                      value: '1688960'
                      timestamp: 1525371444427
                      source: API
                      sourceId: null
                    - versions:
                        - name: amount
                          value: '200.00'
                          timestamp: 0
                          sourceId: LineItemAmountCalculator
                          source: CALCULATED
                          sourceVid: []
                      value: '200.00'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: LineItemAmountCalculator
                    - versions:
                        - name: quantity
                          value: '20'
                          timestamp: 1525372398002
                          source: API
                          sourceVid: []
                      value: '20'
                      timestamp: 1525372398002
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '10.00'
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: '10.00'
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: Updated name, new quantity
                          timestamp: 1525372398002
                          source: API
                          sourceVid: []
                        - name: name
                          value: An updated product
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: Updated name, new quantity
                      timestamp: 1525372398002
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1642736'
                          timestamp: 1525371444427
                          source: API
                          sourceVid: []
                      value: '1642736'
                      timestamp: 1525371444427
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - crm.objects.line_items.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.line_items.write
        - private_apps_legacy: []
components: {}

````